"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateTimeOffsetDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var models_1 = require("../models");
var base_datatype_setup_1 = require("./base-datatype-setup");
var DateTimeOffsetDataTypeSetup = (function (_super) {
    __extends(DateTimeOffsetDataTypeSetup, _super);
    function DateTimeOffsetDataTypeSetup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'DateTimeOffset';
        _this.addSymbol = function () {
            var result = new breeze_client_1.DataType({
                defaultValue: models_1.EdmDateTimeOffset.MinValue,
                fmtOData: function (val) { return val ? models_1.EdmDateTimeOffset.create(val).toString() : null; },
                getConcurrencyValue: _this.getConcurrencyValue,
                getNext: models_1.EdmDateTimeOffset.create,
                isDate: true,
                name: _this.name,
                normalize: function (value) { return value ? models_1.EdmDateTimeOffset.create(value).toDate() : null; },
                parse: models_1.EdmDateTimeOffset.create,
                parseRawValue: models_1.EdmDateTimeOffset.create
            });
            breeze_client_1.DataType[_this.name] = result;
            return result;
        };
        return _this;
    }
    DateTimeOffsetDataTypeSetup.prototype.getConcurrencyValue = function () {
        var dt = new Date();
        var dt2 = new Date();
        while (dt.getTime() === dt2.getTime()) {
            dt2 = new Date();
        }
        var result = models_1.EdmDateTimeOffset.create(dt2);
        return result;
    };
    return DateTimeOffsetDataTypeSetup;
}(base_datatype_setup_1.BaseDataTypeSetup));
exports.DateTimeOffsetDataTypeSetup = DateTimeOffsetDataTypeSetup;
//# sourceMappingURL=datetimeoffset-datatype-setup.js.map