export declare class EdmDate {
    private _day;
    private _month;
    private _year;
    private constructor();
    get day(): number;
    set day(value: number);
    get month(): number;
    set month(value: number);
    get year(): number;
    set year(value: number);
    toDate(): Date;
    toString(includeTime?: boolean): string;
    static create(source?: EdmDate | Date | string): EdmDate;
    static readonly MinValue: Readonly<EdmDate>;
    static readonly MaxValue: Readonly<EdmDate>;
    private formatDate;
    private tryParseWithRegex;
    private parseDate;
    private parseString;
    private updateDate;
}
