export declare class EdmTimeOfDay {
    private _fractionalSeconds;
    private _hours;
    private _minutes;
    private _seconds;
    private constructor();
    static readonly MinValue: Readonly<EdmTimeOfDay>;
    static readonly MaxValue: Readonly<EdmTimeOfDay>;
    static create(source?: EdmTimeOfDay | Date | string): EdmTimeOfDay;
    get hours(): number;
    set hours(value: number);
    get minutes(): number;
    set minutes(value: number);
    get seconds(): number;
    set seconds(value: number);
    get fractionalSeconds(): number;
    set fractionalSeconds(value: number);
    toString(): string;
    private formatTimeOfDay;
    private parseDate;
    private parseString;
    private parseHourMinuteSecond;
    private updateTimeOfDay;
}
