"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OData4BatchAjaxAdapter = void 0;
var breeze_client_1 = require("breeze-client");
var ts_odatajs_1 = require("ts-odatajs");
var breeze_odata4_ajax_adapter_1 = require("./breeze-odata4-ajax-adapter");
var OData4BatchAjaxAdapter = (function (_super) {
    __extends(OData4BatchAjaxAdapter, _super);
    function OData4BatchAjaxAdapter() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = OData4BatchAjaxAdapter.BreezeAdapterName;
        return _this;
    }
    OData4BatchAjaxAdapter.register = function () {
        breeze_client_1.config.registerAdapter('ajax', OData4BatchAjaxAdapter);
    };
    OData4BatchAjaxAdapter.prototype.ajax = function (ajaxConfig, httpClient, metadata) {
        var _a;
        var headers = __assign(__assign({}, (_a = this.defaultSettings) === null || _a === void 0 ? void 0 : _a.headers), ajaxConfig.headers);
        var batchRequest = ajaxConfig.data;
        ts_odatajs_1.oData.request({
            method: ajaxConfig.type,
            requestUri: ajaxConfig.url,
            headers: headers,
            data: batchRequest
        }, function (data, response) {
            var httpResponse = __assign(__assign({ error: null }, response), { config: ajaxConfig, data: data, getHeaders: function (name) { return response.headers[name]; }, status: Number(response.statusCode) });
            ajaxConfig.success(httpResponse);
        }, function (err) { return ajaxConfig.error(err); }, ts_odatajs_1.oData.batch.batchHandler, httpClient, metadata);
    };
    OData4BatchAjaxAdapter.BreezeAdapterName = 'OData4Batch';
    return OData4BatchAjaxAdapter;
}(breeze_odata4_ajax_adapter_1.OData4AjaxAdapter));
exports.OData4BatchAjaxAdapter = OData4BatchAjaxAdapter;
//# sourceMappingURL=breeze-odata4-batch-ajax-adapter.js.map