"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var models_1 = require("../models");
var base_datatype_setup_1 = require("./base-datatype-setup");
var DateRegex = /(-\d)?\d{4}-\d{2}-\d{2}/;
var DateDataTypeSetup = (function (_super) {
    __extends(DateDataTypeSetup, _super);
    function DateDataTypeSetup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'Date';
        _this.addSymbol = function () {
            var result = new breeze_client_1.DataType({
                defaultValue: models_1.EdmDate.create('0000-01-01'),
                fmtOData: function (value) { return value ? models_1.EdmDate.create(value).toString() : null; },
                getNext: models_1.EdmDate.create,
                isDate: true,
                name: _this.name,
                normalize: function (value) { return value ? models_1.EdmDate.create(value).toString() : null; },
                parse: models_1.EdmDate.create,
                parseRawValue: models_1.EdmDate.create
            });
            breeze_client_1.DataType[_this.name] = result;
            return result;
        };
        return _this;
    }
    return DateDataTypeSetup;
}(base_datatype_setup_1.BaseDataTypeSetup));
exports.DateDataTypeSetup = DateDataTypeSetup;
//# sourceMappingURL=date-datatype-setup.js.map