import { EdmDate } from './edm-date';
import { EdmOffset } from './edm-offset';
import { EdmTimeOfDay } from './edm-timeofday';
export declare class EdmDateTimeOffset {
    protected constructor(source: Date | string);
    date: EdmDate;
    time: EdmTimeOfDay;
    offset: EdmOffset;
    toDate(): Date;
    toString(): string;
    static create(source?: EdmDateTimeOffset | Date | string): EdmDateTimeOffset;
    static get now(): EdmDateTimeOffset;
    static readonly MinValue: Readonly<EdmDateTimeOffset>;
    static readonly MaxValue: Readonly<EdmDateTimeOffset>;
    private parseDateTime;
}
