import { MetadataAdapter } from '../adapters/metadata-adapter';
import { Type } from '../class-registry';
import { DataTypeSetup } from '../datatypes/setups/datatype-setup';
import { AnnotationDecorator } from '../decorators/annotation-decorator';
import { DataServiceAdapterOptions } from './dataService-adapter-options';
import { NavigationAdapterOptions } from './navigation-adapter-options';
export declare const DefaultOptions: BreezeOData4Options;
export interface BreezeOData4Options {
    annotationDecorators: Type<AnnotationDecorator>[];
    dataServiceAdapter: Partial<DataServiceAdapterOptions>;
    dataTypeSetups: Type<DataTypeSetup>[];
    initializeAdapters: boolean;
    metadataAdapters: Type<MetadataAdapter>[];
    navigationAdapter: Partial<NavigationAdapterOptions>;
    useBatchSave: boolean;
}
